component: SafetyNet
metric: zoox::diag::EmptyMetric
namespace: zoox::perception
faults:
  # This fault indicates the SafetyNet hasn't recieved lidar data, and thus
  # cannot perform collision checking.
  - id: 1
    name: LidarStale
    severity: WARNING
    description: "Lidar data is stale. SafetyNet cannot perform inference or collision checking."
    triggers_nogo: false
    troubleshooting_steps: "Inspect Lidar Capability."
  # This fault indicates the SafetyNet hasn't recieved hero state data, and
  # thus cannot perform collision checking.
  - id: 2
    name: HeroStateStale
    severity: WARNING
    description: "Hero State is stale. SafetyNet cannot perform collision checking."
    triggers_nogo: false
    troubleshooting_steps: "Inspect Pose/Localizer Capabilities."
  # This fault indicates the SafetyNet hasn't recieved a smoother message, and
  # thus cannot perform collision checking.
  - id: 3
    name: SmootherStale
    severity: WARNING
    description: "Smoother data is stale. SafetyNet cannot perform collision checking."
    triggers_nogo: false
    troubleshooting_steps: "Inspect Planner Capability. This error will resolve when planner
        starts running if it happens at the beginning of a log."
  # This fault indicates the hero is not on a trajectory, thus SafetyNet cannot
  # perform collision checking.
  # TODO: (nhendy) this is not yet properly modeled in the code. Update with refactor
  - id: 4
    name: HeroOut
    severity: WARNING
    description: "Hero not on trajectory. SafetyNet cannot perform collision checking."
    triggers_nogo: false
  - id: 5
    name: InconsistentPoseOrZrn
    severity: WARNING
    description: "ZRN Monitor detected pose or ZRN inconsistency."
    triggers_nogo: false
    troubleshooting_steps: "ZRN Monitor predicts inconsistency in ZRN or pose.
        Tag this in the log and report to #safetynet"
  # This warning indicates that safetynt predicted a collision.
  - id: 6
    name: SafetyNetCollisionDetected
    severity: WARNING
    description: "SafetyNet predicts a collision."
    triggers_nogo: false
    troubleshooting_steps: "SafetyNet predicts a collision.
        Tag this in the log and report to #safetynet"
  # DEPRECATED. This fault is currently used to trigger a NoGo when SafetyNet detects a
  # collision.
  - id: 0
    name: NoGoTriggered
    severity: WARNING
    description: "NoGo triggered. SafetyNet predicts a collision."
    triggers_nogo: false
    deprecated: true
